Subject: [Sip] SIP codecs

From: "Paradiso, Francesco" <[email-masked]>
Date: Mon, 13 Mar 2006 11:15:31 +0100

Hi all,
if a UAC send an invite with codec "X" and "Y", it should be possible
that a 200ok is received with codec "Z","X" and "Y" ?
or the 200ok must be sent with a sub-set of supported codec?
Is there an RFC that refer to this behaviour?
 
Thanks in advance and Best Regards
Francesco 
 
_______________________________________________
Sip mailing list  https://www1.ietf.org/mailman/listinfo/sip
This list is for NEW development of the core SIP Protocol
Use [email-masked] for questions on current sip
Use [email-masked] for new developments on the application of sip

---

From: samuel <[email-masked]>
Date: Mon, 13 Mar 2006 13:58:57 +0100

RFC 3264:
"An Offer/Answer Model with the Session Description Protocol (SDP)"

Samuel.
2006/3/13, Paradiso, Francesco <[email-masked]>:
>
> Hi all,
> if a UAC send an invite with codec "X" and "Y", it should be possible that a
> 200ok is received with codec "Z","X" and "Y" ?
> Sip mailing list
> https://www1.ietf.org/mailman/listinfo/sip

---

From: Chen Shuping <[email-masked]>
Date: Tue, 14 Mar 2006 09:27:44 +0800

Paradiso:
 
  I think the answer in 200 OK for INVITE to the offer in INVITE method
should take a sub-set according to RFC3264.
 
Because in one offer/answer round. If the answerer sends other codecs which
is not inidcated in offer,the answerer will not 
 
sure whether the UAC support the new codec(Actually, if the offer has no Z
in codec set,answerer should think ther offerer do not support
 
Z,so,the answerer can not include z in its codec set)

  _____  

发件人: Paradiso, Francesco [mailto:[email-masked]] 
发送时间: 2006年3月13日 18:16
收件人: [email-masked]
主题: [Sip] SIP codecs

Hi all,

---

From: Jonathan Rosenberg <[email-masked]>
Date: Mon, 13 Mar 2006 21:29:23 -0500

This is not accurate. The answer may contain additional codecs. Note the
following text in section 6 of rfc3264:

 For streams marked as sendrecv in the answer,
   the "m=" line MUST contain at least one codec the answerer is willing
   to both send and receive, from amongst those listed in the offer.
   The stream MAY indicate additional media formats, not listed in the
   corresponding stream in the offer, that the answerer is willing to
   send or receive (of course, it will not be able to send them at this
   time, since it was not listed in the offer).  For streams marked as

-Jonathan R.

Chen Shuping wrote:

> Because in one offer/answer round. If the answerer sends other codecs 
> which is not inidcated in offer,the answerer will not
>  
> sure whether the UAC support the new codec(Actually, if the offer has no 
> Z in codec set,answerer should think ther offerer do not support
>  
> ------------------------------------------------------------------------
> *发件人:* Paradiso, Francesco [mailto:[email-masked]]
> *发送时间:* 2006年3月13日 18:16
> *收件人:* [email-masked]
> *主题:* [Sip] SIP codecs
> 
> Hi all,
> ------------------------------------------------------------------------
> 

-- 
Jonathan D. Rosenberg, Ph.D.                   600 Lanidex Plaza
Cisco Fellow                                   Parsippany, NJ 07054-2711
Cisco Systems
[email-masked]                              FAX:   (973) 952-5050
http://www.jdrosen.net                         PHONE: (973) 952-5000
http://www.cisco.com

---

From: Chen Shuping <[email-masked]>
Date: Tue, 14 Mar 2006 10:39:16 +0800

If the answer could contain new codec(s) ,I think,it could not be listed as
the first one,usually the first codec will be prefered.

I am not sure if the new codecs could be listed before the codecs indicated
in offer. Refer to the following section 5.1 in RFC3264  

   In all cases, the formats in the "m=" line MUST be listed in order of
   preference, with the first format listed being preferred.  In this
   case, preferred means that the recipient of the offer SHOULD use the
   format with the highest preference that is acceptable to it.

-----邮件原件-----
发件人: Jonathan Rosenberg [mailto:[email-masked]] 
发送时间: 2006年3月14日 10:29
收件人: Chen Shuping
抄送: 'Paradiso, Francesco'; [email-masked]
主题: Re: 答复: [Sip] SIP codecs

-Jonathan R.

Chen Shuping wrote:

> Paradiso:
>  
>   I think the answer in 200 OK for INVITE to the offer in INVITE 
> method should take a sub-set according to RFC3264.
>  
> sure whether the UAC support the new codec(Actually, if the offer has 
> no Z in codec set,answerer should think ther offerer do not support
>  
> *发件人:* Paradiso, Francesco 
> [mailto:[email-masked]]
> *发送时间:* 2006年3月13日 18:16
> *收件人:* [email-masked]
> *主题:* [Sip] SIP codecs
> 
> Hi all,
> This list is for NEW development of the core SIP Protocol Use 
> [email-masked] for questions on current sip Use 
> [email-masked] for new developments on the application of sip

---

From: Giacomo Vacca <[email-masked]>
Date: Mon, 13 Mar 2006 14:04:04 +0100

Hi Francesco,
as stated in RFC 3264 (An Offer/Answer Model for SDP), §6.1:
"

The stream MAY indicate additional media formats, not listed in the
   corresponding stream in the offer, that the answerer is willing to
   send or receive (of course, it will not be able to send them at this
   time, since it was not listed in the offer).
"

I hope it's useful.

Regards,
Giacomo

Paradiso, Francesco wrote:

> __________ NOD32 1.1440 (20060312) Information __________
>
> This message was checked by NOD32 antivirus system.
> http://www.eset.com
>
>__________ NOD32 1.1440 (20060312) Information __________
>
>This message was checked by NOD32 antivirus system.
>http://www.eset.com
>
>  
>

-- 
ing. Giacomo Vacca
Product Manager
Abbeynet SpA
Viale Monastir Km. 8,200 - ex S.S. 131
casella postale 79
09028 Sestu (CA), Italy

Piazza Rondanini 48 00186 Roma

-----------------------------------
[email-masked]

phone: +39 070 2339346
voip: sip:[email-masked]
enum: +88299 002440 46
mobile: +39 3928454855
fax: +39 070 229016
-----------------------------------